import { ReactNode, MouseEventHandler } from 'react';

interface ButtonProps {
    onClick: MouseEventHandler<HTMLButtonElement>;
    children: ReactNode;
}

export default function Button({ onClick, children }: ButtonProps) {
    return (
        <button onClick={onClick} className="ni-button" role="button">{children}</button>
    )
}
